Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Please help with VMware Player v.3.0 on 11.2

  1. #1

    Default Please help with VMware Player v.3.0 on 11.2

    After my upgrade today I can't seem to compile vmplayer modules, and it doesn't include precompiled modules since 11.2 is so new. I've tried a bunch of workarounds with no luck ... VMware Server 2.02 (also can't compile modules), Virtual Box (can't boot my virtual machine); and am low on options here. Any help would be very greatly appreciated.

    I'm running 2.6.31.5-0.1-default x86_64.

    VMplayer seems to install fine, but when run (when it tries to configure), it can't find the kernel headers. I can manually redirect it to:
    /usr/src/linux-2.6.31.5-0.1/include

    but then it fails to build. The log file reads:
    Nov 13 14:42:06.522: app-140615185708784| Log for VMware Workstation pid=16793 version=7.0.0 build=build-203739 option=Release
    Nov 13 14:42:06.522: app-140615185708784| The process is 64-bit.
    Nov 13 14:42:06.522: app-140615185708784| Host codepage=UTF-8 encoding=UTF-8
    Nov 13 14:42:06.522: app-140615185708784| Logging to /tmp/vmware-root/setup-16793.log
    Nov 13 14:42:06.648: app-140615185708784| System distribution is SuSE
    Nov 13 14:42:06.648: app-140615185708784| System version is 11.2
    Nov 13 14:42:06.648: app-140615185708784| modconf query interface initialized
    Nov 13 14:42:06.648: app-140615185708784| modconf library initialized
    Nov 13 14:42:06.685: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.713: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.716: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.720: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.722: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.724: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.726: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.738: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.775: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.778: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.780: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.783: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.786: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.791: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.803: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.842: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.845: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.847: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.850: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.852: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.857: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.868: app-140615185708784| Your GCC version: 4.4
    Nov 13 14:42:06.981: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.985: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.987: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.989: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:06.991: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:07.156: app-140615185708784| Trying to find a suitable PBM set for kernel 2.6.31.5-0.1-default.
    Nov 13 14:42:07.156: app-140615185708784| Building module vmmon.
    Nov 13 14:42:07.156: app-140615185708784| Extracting the sources of the vmmon module.
    Nov 13 14:42:07.170: app-140615185708784| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/usr/src/linux-2.6.31.5-0.1/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.4
    Nov 13 14:42:09.081: app-140615185708784| Failed to compile module vmmon!

  2. #2

    Default Re: Please help with VMware Player v.3.0 on 11.2

    It turns out that VMWare Player 3.0.0 ships with modules for kernel-desktop-2.6.31.5-0.1.1.x86_64, but not for kernel-default or kernel-vanilla.

    I switched to kernel-desktop and all works well.

  3. #3
    Join Date
    Aug 2008
    Location
    BUD, Hungary
    Posts
    36

    Default Re: Please help with VMware Player v.3.0 on 11.2

    Quote Originally Posted by bjdasc View Post
    It turns out that VMWare Player 3.0.0 ships with modules for kernel-desktop-2.6.31.5-0.1.1.x86_64, but not for kernel-default or kernel-vanilla.

    I switched to kernel-desktop and all works well.
    can you please give a bit more detailed description how to do it?
    I also would like to use it but have the same problem..... :S
    ..or is it better to wait for a new version of VMPlayer?

  4. #4
    orange244 NNTP User

    Default Re: Please help with VMware Player v.3.0 on 11.2

    Hi,

    please tell us how you switched to Kernel-desktop. I have the same problem and would like to know exactly how you resolved it. Please give specific instructions.

    thanks,

  5. #5
    dlmo78 NNTP User

    Default Re: Please help with VMware Player v.3.0 on 11.2

    Quote Originally Posted by bjdasc View Post
    It turns out that VMWare Player 3.0.0 ships with modules for kernel-desktop-2.6.31.5-0.1.1.x86_64, but not for kernel-default or kernel-vanilla.

    I switched to kernel-desktop and all works well.
    I think he means switching from kde to gnome (or similar changes). My laptop had similar problems with the video and sound in kde 3 or 4 desktops but worked fine in gnome desktop.

  6. #6
    Join Date
    Jun 2008
    Location
    Finland, European Union
    Posts
    1,879

    Default Re: Please help with VMware Player v.3.0 on 11.2

    VMware Player 3.0 works fine with any of the normal kernels, the errors caused in the original post were caused by lacking compilation tools - primarily you will need; gcc, make, linux-kernel-headers, kernel-syms and kernel-X-devel.

    Where kernel-x-devel is the -devel package for your running kernel, for example kernel-desktop-devel.

    After the requirements are installed, player will compile, install and function properly.

  7. #7
    bigkris NNTP User

    Default Re: Please help with VMware Player v.3.0 on 11.2

    This works great!
    I have had same problems installing VMware Workstation 7 on 11.2 on 2.6.31.8-0.1-desktop.
    Simply ran Add/Remove Software and installed: gcc, make, linux-kernel-headers, kernel-syms and kernel-desktop-devel
    Thanks Chrysantine!

  8. #8

    Default Re: Please help with VMware Player v.3.0 on 11.2

    I had similar problems with vmware player 2.5.3. After installing development packages the problems persisted. After an update to version 3.0 problems disapeared. Thanks for the suggestions.

  9. #9
    Join Date
    Jul 2008
    Location
    San Diego, CA
    Posts
    193

    Default Re: Please help with VMware Player v.3.0 on 11.2

    I have a similar problem. It compiled and installed the first time, and I even ran it. But now it won't run anymore. It's complaining about the vmmon module.

    Everything to compile is there obviously else it wouldn't have compiled it the first time.

    Do I have uninstall and re-install it again?

  10. #10
    Join Date
    Jul 2008
    Location
    San Diego, CA
    Posts
    193

    Default Re: Please help with VMware Player v.3.0 on 11.2

    I uninstalled and the re-installed and it worked. However, once I rebooted and tried to start it again I got the error again. The vmmon module is not getting loaded on startup. Does anyone now how to manually load the vmmon module?

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •